Email Accounts

Connection Status

GET/v1/email-accounts/connect/status/{requestId}
GET
/v1/email-accounts/connect/status/{requestId}

While connecting email accounts you will receive the requestId. Using that requestId you can check the status of the email account connection process.

While connecting email accounts using /v1/email-accounts/connect and /v1/email-accounts/reconnect, you will receive the requestId.

Using that requestId, you can check the status of the email account connection process. You will receive a CSV file link containing the email account import details.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Path Parameters

requestIdstring

Responses

200
Retrieve the email account connection status of requestId
{
  "payload": {
    "isCompleted": true,
    "reportURL": "https://example.com/v3-email-connect-fault-csv/Email-Account_Bulk_Report_c104293677_1733138572024.csv"
  }
}

Request

curl -X GET \
  "https://open-api.saleshandy.com/v1/email-accounts/connect/status/{requestId}" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

No response body